﻿@addTagHelper *, Microsoft.AspNetCore.Mvc.TagHelpers
@model CyberaniumModels.Organization

<script src="~/Script/ApplicationManagement/Organization.js"></script>
<style>
    .border-bottom {
        border-bottom: 1px solid #22a9b7 !important;
    }

    .note-toolbar .btn-group, .note-toolbar .btn-group .btn {
        width: inherit !important;
    }

    .adddivProcess {
        padding-left: 20px;
    }

    .btnFlex {
        display: flex;
        width: 100%;
    }

    .close {
        opacity: 1.5;
        color: white;
    }

    .table tr th input[type="button"] {
        border: 1px solid #c3bbbbee;
        padding: 2px 10px;
        color: #61c1c1;
        background-color: #ffff;
        border-radius: 5px;
    }

    .orgmap {
        margin: 0px;
        padding: 0px;
        list-style-type: none;
    }

        .orgmap li {
            padding: 0px 0px;
            position: relative;
        }

            .orgmap li div {
                display: flex;
            }

            .orgmap li::before, .orgmap li::after {
                content: '';
                left: -50px;
                position: absolute;
                right: auto;
            }

            .orgmap li::before {
                border-left: 1px solid #999;
                /* bottom: 52px; */
                height: 100%;
                top: 0;
                width: 1px;
            }

            .orgmap li::after {
                border-top: 1px solid #999;
                height: 20px;
                top: 30px;
                width: 55px;
            }

            .orgmap li:last-child::before {
                height: 30px;
            }

            .orgmap li span.text {
                display: inline-block;
                padding: 8px 10px;
                width: 100%;
                background: #61c1c1;
                color: #fff;
                position: relative;
                z-index: 10;
                margin-top: 15px;
                position: relative;
                max-width: 100px;
                text-align: center;
                border-radius: 2px;
                box-shadow: 0px 2px 3px #0000004d;
            }

            .orgmap li span.icon {
                margin-top: 20px;
                margin-left: 5px;
            }

                .orgmap li span.icon img {
                    width: 22px;
                    height: 22px;
                }
            /* .orgmap li span:before {
                    content: "";
                    position: absolute;
                    width: 52px;
                    height: 0px;
                    left: -52px;
                    top: 50%;
                    border-bottom: solid 1px #7b7b7b;
                }*/
            .orgmap li.first::after {
                display: none;
            }

            .orgmap li.inactive > ul {
                display: none;
            }

        .orgmap ul {
            list-style-type: none;
            margin-left: 89px;
        }

            .orgmap ul ul {
                margin-left: 90px;
                list-style-type: none;
            }

    .collapsebtn {
        width: 30px;
        height: 30px;
        border: solid 2px #ccc;
        margin: 0px 0px 0px 15px;
        border-radius: 90%;
        margin-top: 7px;
        position: relative;
        cursor: pointer;
    }

        .collapsebtn::after {
            content: "";
            width: 16px;
            height: 0px;
            background: #ccc;
            border-top: solid 2px #ccc;
            position: absolute;
            top: 12px;
            left: 5px;
        }

        .collapsebtn::before {
            content: "";
            height: 16px;
            width: 2px;
            width: 0px;
            border-right: solid 2px #ccc;
            position: absolute;
            left: 12px;
            top: 5px;
            opacity: 1;
        }

    .div_multi_child .subchild {
        display: none;
    }

    .div_multi_child.active .subchild {
        display: flex;
    }

    .div_multi_child.active .collapsebtn::before {
        opacity: 0;
    }

    .iconn img {
        height: 25px;
    }

    li .iconn {
        padding-top: 20px;
    }
</style>
<script>
    $(document).ready(function () {
        if ($("#Id").val() > 0) {
            EditOrganization('@Model.Id', '@Model.Name')
        } else {
            $("#idRightside").hide();
            $("#idleftside").removeClass("col-lg-8 col-md-8 col-sm-8 col-xs-8");
            $("#idleftside").addClass("col-lg-12 col-md-8 col-sm-8 col-xs-8");
        }
    })
    $(".orgmap .text").click(function () {
        $(this).parent().parent().toggleClass("inactive");
    })
</script>
<section>
    <div class="right_section">
        <div class="titile_heading" id="title_List">
            <h1>Add Organization</h1>
            <div class="titile_line"></div>
        </div>
        <div class="col-lg-8 col-md-8 col-sm-8 col-xs-8" id="idleftside">
            <div class="right_panel">
                <div class="right_content">
                    <div class="service_line2">
                        <div class="pb-2 mt-4 mb-2 border-bottom box_title">Name of Parent Organization</div>
                        <div class="addmultiName">
                            <div class="row">
                                <div class="col-7">
                                    <div class="select_box m_bottom">
                                        <input type="hidden" id="Id" value="@Model.Id" />
                                        <input class="form-control" id="Name" placeholder="Enter name" autocomplete="off" onchange="fn_CheckDuplicateOrg(this)" />
                                    </div>
                                </div>
                                <div class="col-2" style="padding-left:9px;">
                                    <label class="addbtn" onclick="AddMoreChildRow(this)" style="margin-top:8px;cursor:pointer;"></label>
                                </div>
                            </div>
                            <div class="row" id="div_child">
                                <div class="col-9" style="padding-left:30px;padding-right:40px;">
                                    <div id="div_multi_child">
                                        <div class="pb-1 my-2 border-bottom box_title" id="div_child_text" style="font-size:13px;margin-right:20px;"></div>
                                        @* Div where append dynamic html... *@
                                    </div>
                                </div>
                            </div>
                            <div class="row pt-3">
                                <div class="col-md-12 col-sm-12 col-xs-12">
                                    <div class="back_btn">
                                        <div class="back_btn_in">
                                            <input type="button" value="Back" onclick="BackToHome()">
                                        </div>
                                    </div>
                                    <div class="submitbtn">
                                        <input type="submit" id="btnsubmit" name="Submit" value="Submit" onclick="return PrepareToSubmit()">
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-lg-4 col-md-4 col-sm-4 col-xs-4" id="idRightside">
            <div class="right_panel">
                <div class="right_content">
                    <h3>Organization Map</h3>
                    @if (Model.Id > 0)
                    {
                        <ul class="orgmap" style="height: calc(100vh - 308px);overflow:auto;padding:10px">
                            @foreach (var item in Model.OrganizationList.Where(x => x.Id == Model.Id && x.ChildOrgId == 0 && x.SubChildOrgId == 0))
                            {
                                <li class="first assessment">
                                    <div>
                                        <span class="text">@item.Name</span>
                                        @if (item.Status == 0)
                                        {
                                            <span class="icon"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" /></span>
                                        }
                                        else if (item.Status == 1)
                                        {
                                            <span class="icon"><img src="~/Image/CreateOrganogram/Circle_Information.png" /></span>
                                            @*<span class="iconn"><a href="#" title="Activate Assessment" onclick="fn_updateOrgSignStaus(@item.Id)" class="btn btn-info btn-xs pull-left"><i class="fa fa-check" aria-hidden="true"></i></a></span>*@
                                        }
                                        else
                                        {
                                            <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" /></span>
                                        }
                                    </div>
                                    <ul>
                                        @foreach (var _item in Model.OrganizationList.Where(x => x.ChildOrgId == item.Id && x.SubChildOrgId == 0))
                                        {
                                            <li>
                                                <div>
                                                    <span class="text">@_item.Name</span>
                                                    @if (_item.Status == 0)
                                                    {
                                                        <span class="icon"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" /></span>
                                                    }
                                                    else if (_item.Status == 1)
                                                    {
                                                        <span class="icon"><img src="~/Image/CreateOrganogram/Circle_Information.png" /></span>
                                                        @*<span class="iconn"><a href="#" title="Activate Assessment" onclick="fn_updateOrgSignStaus(@_item.Id)" class="btn btn-info btn-xs pull-left"><i class="fa fa-check" aria-hidden="true"></i></a></span>*@
                                                    }
                                                    else
                                                    {
                                                        <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" /></span>
                                                    }
                                                </div>
                                                <ul>
                                                    @foreach (var __item in Model.OrganizationList.Where(x => x.ChildOrgId == 0 && x.SubChildOrgId == _item.Id))
                                                    {
                                                        @if (!String.IsNullOrEmpty(__item.Name))
                                                        {
                                                            <li>
                                                                <div>
                                                                    <span class="text">@__item.Name</span>
                                                                    @if (__item.Status == 0)
                                                                    {
                                                                        <span class="icon"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" /></span>
                                                                    }
                                                                    else if (__item.Status == 1)
                                                                    {
                                                                        <span class="icon"><img src="~/Image/CreateOrganogram/Circle_Information.png" /></span>
                                                                        @*<span class="iconn"><a href="#" title="Activate Assessment" onclick="fn_updateOrgSignStaus(@__item.Id)" class="btn btn-info btn-xs pull-left"><i class="fa fa-check" aria-hidden="true"></i></a></span>*@
                                                                    }
                                                                    else
                                                                    {
                                                                        <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" /></span>
                                                                    }
                                                                </div>
                                                            </li>
                                                        }
                                                    }
                                                </ul>
                                            </li>
                                        }
                                    </ul>
                                </li>
                            }
                        </ul>
                        <div class="clsHints">
                            <span class="icon"><img src="~/Image/CreateOrganogram/Trangle_Warning.png" />Clients are not ready for Assessment</span>
                            <span class="icon"><img src="~/Image/CreateOrganogram/Circle_Information.png" />Client ready for Assessment, Click on <img src="~/Image/CreateOrganogram/Signature.png" /> to activate</span>
                            <span class="icon"><img src="~/Image/CreateOrganogram/Triangle2.png" />Assessment Activated</span>
                        </div>
                    }
                </div>
            </div>
        </div>
    </div>
</section>